// $URL: http://subversion:8080/svn/gsc/trunk/drivers/LINUX/SIO4%20and%20SIO8/SIO4_Linux_2.x.x_GSC_DN/id/main.h $
// $Rev: 25701 $
// $Date: 2014-03-31 15:23:50 -0500 (Mon, 31 Mar 2014) $

#ifndef __MAIN_H__
#define __MAIN_H__

#include <errno.h>
#include <fcntl.h>
#include <stdio.h>
#include <stdlib.h>
#include <string.h>

#include "sio4_lib.h"
#include "sio4_dsl.h"
#include "sio4_utils.h"



// #defines *******************************************************************

#define	VERSION			"2.6"
// 2.6	Added the FW Type Config query option.
//		Removed some unused code.
// 2.5	Additional LINTing.
// 2.4	LINTing for INtime.
//		Added library information to the output.
//		Improved board selection error handling.
// 2.3	LINTed code.
//		Removed the -fw and -usc command line arguments.
//		Board selection is now required on the command line.
// 2.2	Added support for the XMC-SIO4BXR.
//		Updated per changes to common utility code.
//		EXIT_FAILURE is now returned for any error occurance.
//		Added: SIO4_QUERY_LED_CHANNEL, SIO4_QUERY_LED_MAIN
//		Added: SIO4_QUERY_RX_FIFO_FULL_CFG_GLB
//		Updated the help text.
// 2.1	Code cleanup.
//		Merge of limited content from the Linux only source tree.
// 2.0	Rewrote and ported to the 2.x driver.
//		Added the -fw and the -usc command line arguments.
// 1.2	Removed ARRAY_ELEMENTS definition.
//		Implemented support for numerous new driver feature options.
//		Added more device identification data to the output.
//		Added user jumper information to the output.
//		Added support for a few new feature options.
// 1.1	Updated per changes in the header file organization.
// 1.0	Initial release.



// prototypes *****************************************************************

int		id_device(int* fd);
void	local_label_str(const char* str);



#endif
