// $URL: http://subversion:8080/svn/gsc/trunk/drivers/gsc_common/lib/intime/os_msg.c $
// $Rev: 26099 $
// $Date: 2014-05-16 10:51:54 -0500 (Fri, 16 May 2014) $

// INtime 4 library

#include "main.h"




//*****************************************************************************
// returns err_no: 0 = ok, !=0 = error value
int os_msg_alloc(os_msg_t** msg)
{
	int	err_no;

	for (;;)
	{
		if (msg == NULL)
		{
			err_no	= EINVAL;
			break;
		}

		msg[0]	= malloc(sizeof(os_msg_t));

		if (msg[0] == NULL)
		{
			err_no	= ENOMEM;
			break;
		}

		memset(msg[0], 0, sizeof(os_msg_t));
		err_no	= 0;
		break;
	}

	return(err_no);
}



//*****************************************************************************
void os_msg_free(os_msg_t** msg)
{
	if (msg)
	{
		if (msg[0])
		{
			memset(msg[0], 0, sizeof(os_msg_t));
			free(msg[0]);
		}

		msg[0]	= NULL;
	}
}


