#include <errno.h>
#include <stdio.h>

#include "sio4_sync_dsl.h"

int sio4_sync_rx_data_get(int fd, int* cfg, int* legacy)
{
	sio4_sync_rx_t	rx;
	int				sts;

	sts			= sio4_sync_rx_get(fd, &rx);
	cfg[0]		= rx.data.cfg;
	legacy[0]	= rx.data.legacy;

	if (sts == -1)
		printf("sio4_sync_rx_get() failure, errno = %d\n", errno);

	return(sts);
}
