#include <errno.h>
#include <stdio.h>

#include "sio4_sync_dsl.h"

int sio4_sync_gpio_mod(int fd, u32 value, u32 mask)
{
	const char*	str	= "sio4_sync_gpio_rx";
	int			sts;
	u32			v;

	sts	= sio4_sync_gpio_rx(fd, &v);

	if (sts == 0)
	{
		value	= (value & mask) | (v & ~mask);
		sts		= sio4_sync_gpio_tx(fd, value);
		str		= "sio4_sync_gpio_tx";
	}

	if (sts == -1)
		printf("%s() failure, errno = %d\n", str, errno);

	return(sts);
}
